> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How to create a list

> How to create a list using web service APIs

To create a list, use the `Lists` endpoint.

<Tabs>
  <Tab title="RESTful REST API">
    ```http theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/List HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json; charset=utf-8

    {
      "Name": "My New List",
      "Tooltip": "My New list",
      "UseGroupsAndHeadings": false
    }
    ```

    **Response:**

    ```json theme={null}
    {
      "Id": 110,
      "Name": "My New List",
      "Tooltip": "My New list",
      "Deleted": false,
      "Rank": 0,
      "IsCustomList": false,
      "IsMDOList": false,
      "UseGroupsAndHeadings": false,
      "ListType": null,
      "InUseByUserDefinedFields": false,
      "TableRight": null,
      "FieldProperties": {},
      "_Links": {
        "Self": "https://sod.superoffice.com:443/Cust26759/api/v1/List/110/"
      }
    }
    ```
  </Tab>

  <Tab title="HTTP RPC Agent API">
    Use the `CreateDefaultListEntity` to get the default list JSON structure, then use the SaveListEntity endpoint to persist the new list.

    ```http theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/List/CreateDefaultListEntity HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    ```

    **Response:**

    ```json theme={null}
    {
      "Id": 0,
      "Name": null,
      "Tooltip": null,
      "Deleted": false,
      "Rank": 0,
      "IsCustomList": false,
      "IsMDOList": false,
      "UseGroupsAndHeadings": false,
      "ListType": null,
      "InUseByUserDefinedFields": false,
      "TableRight": null,
      "FieldProperties": {}
    }
    ```

    Save the list.

    ```http theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/List/SaveListEntity HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json

    {
      "Name": "MyCustomList",
      "Tooltip": "A list to contain my custom items",
    }
    ```

    **Response:**

    ```json theme={null}
    Response
    {
      "Id": 106,
      "Name": "MyCustomList",
      "Tooltip": "A list to contain my custom items",
      "Deleted": false,
      "Rank": 0,
      "IsCustomList": false,
      "IsMDOList": false,
      "UseGroupsAndHeadings": false,
      "ListType": null,
      "InUseByUserDefinedFields": false,
      "TableRight": null,
      "FieldProperties": {}
    }
    ```
  </Tab>

  <Tab title="WebApi Proxy API">
    Create a list entity using the [SuperOffice.WebApi][1] proxy client.

    ```csharp theme={null}
    var config = new WebApiOptions(tenant.WebApiUrl);
    config.Authorization = new AuthorizationAccessToken("8A:Cust12345.Example-Token", OnlineEnvironment.SOD);
    var listAgent = new ListAgent(config);

    var listEntity = await listAgent.CreateDefaultListEntityAsync();
    listEntity.Name = "MyCustomList";
    listEntity.Tooltip = "A list to contain my custom items";
    listEntity = await listAgent.SaveListEntityAsync(listEntity);

    ```
  </Tab>
</Tabs>

[Back](./index)

[1]: ../../../web-services/proxies/index


## Related topics

- [How to create a list item](/en/api/lists/services/how-to/create-list-item.md)
- [How to create a folder](/en/marketing/learn/create-folder.md)
- [Create a target list](/en/marketing/recipients/learn/index.md)
- [How to create an invitation (services)](/en/api/web-services/howto/diary/create-invitation-services.md)
- [How to create a user-defined field using the web services API](/en/api/web-services/howto/custom-objects/rest-create-udef-field.md)
- [How to create a resource provider](/en/api/localization/language/create-resource-provider.md)
